JmolNavigatorInterface
Date: 2019-10-22

org.jmol.api

## Interface JmolNavigatorInterface

- All Superinterfaces:
    java.lang.Runnable
  All Known Implementing Classes:
    Navigator

      public interface JmolNavigatorInterface
      extends java.lang.Runnable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calcNavigationPoint()`
    `java.lang.String` | `getNavigationState()`
    `void` | `interrupt()`
    `void` | `navigateAxis(javajs.util.V3 rotAxis, float degrees)`
    `void` | `navigateKey(int keyCode, int modifiers)`
    `void` | `navigateList(JmolScriptEvaluator eval, javajs.util.Lst<java.lang.Object[]> list)`
    `void` | `navTranslatePercentOrTo(float seconds, float x, float y)`
    `void` | `set(TransformManager transformManager, Viewer vwr)`
    `void` | `setNavigationDepthPercent(float percent)`
    `void` | `setNavigationOffsetRelative()`
    `void` | `zoomByFactor(float factor, int x, int y)`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Method Detail

    - #### set

          void set(TransformManager transformManager,
                   Viewer vwr)

    - #### zoomByFactor

          void zoomByFactor(float factor,
                            int x,
                            int y)

    - #### calcNavigationPoint

          void calcNavigationPoint()

    - #### setNavigationOffsetRelative

          void setNavigationOffsetRelative()

    - #### navigateKey

          void navigateKey(int keyCode,
                           int modifiers)

    - #### navigateList

          void navigateList(JmolScriptEvaluator eval,
                            javajs.util.Lst<java.lang.Object[]> list)

    - #### navigateAxis

          void navigateAxis(javajs.util.V3 rotAxis,
                            float degrees)

    - #### setNavigationDepthPercent

          void setNavigationDepthPercent(float percent)

    - #### getNavigationState

          java.lang.String getNavigationState()

    - #### navTranslatePercentOrTo

          void navTranslatePercentOrTo(float seconds,
                                       float x,
                                       float y)

    - #### interrupt

          void interrupt()